Upstream information

CVE-2016-5008 at MITRE

Description

libvirt before 2.0.0 improperly disables password checking when the password on a VNC server is set to an empty string, which allows remote attackers to bypass authentication and establish a VNC session by connecting to the server.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 4.3 5.8
Vector AV:N/AC:M/Au:N/C:N/I:P/A:N AV:N/AC:M/Au:N/C:P/I:P/A:N
Access Vector Network Network
Access Complexity Medium Medium
Authentication None None
Confidentiality Impact None Partial
Integrity Impact Partial Partial
Availability Impact None None
CVSS v3 Scores
  National Vulnerability Database
Base Score 9.8
Vector CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H
Access Vector Network
Access Complexity Low
Privileges Required None
User Interaction None
Scope Unchanged
Confidentiality Impact High
Integrity Impact High
Availability Impact High
CVSSv3 Version 3
SUSE Bugzilla entry: 987527 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12 SP1
  • libvirt >= 1.2.18.4-11.7
  • libvirt-client >= 1.2.18.4-11.7
  • libvirt-client-32bit >= 1.2.18.4-11.7
  • libvirt-daemon >= 1.2.18.4-11.7
  • libvirt-daemon-config-network >= 1.2.18.4-11.7
  • libvirt-daemon-config-nwfilter >= 1.2.18.4-11.7
  • libvirt-daemon-driver-interface >= 1.2.18.4-11.7
  • libvirt-daemon-driver-libxl >= 1.2.18.4-11.7
  • libvirt-daemon-driver-lxc >= 1.2.18.4-11.7
  • libvirt-daemon-driver-network >= 1.2.18.4-11.7
  • libvirt-daemon-driver-nodedev >= 1.2.18.4-11.7
  • libvirt-daemon-driver-nwfilter >= 1.2.18.4-11.7
  • libvirt-daemon-driver-qemu >= 1.2.18.4-11.7
  • libvirt-daemon-driver-secret >= 1.2.18.4-11.7
  • libvirt-daemon-driver-storage >= 1.2.18.4-11.7
  • libvirt-daemon-lxc >= 1.2.18.4-11.7
  • libvirt-daemon-qemu >= 1.2.18.4-11.7
  • libvirt-daemon-xen >= 1.2.18.4-11.7
  • libvirt-doc >= 1.2.18.4-11.7
Patchnames:
SUSE-SLE-DESKTOP-12-SP1-2016-1208
SUSE Linux Enterprise Server 11 SP4
SUSE Linux Enterprise Server for SAP Applications 11 SP4
  • libvirt >= 1.2.5-15.3
  • libvirt-client >= 1.2.5-15.3
  • libvirt-client-32bit >= 1.2.5-15.3
  • libvirt-doc >= 1.2.5-15.3
  • libvirt-lock-sanlock >= 1.2.5-15.3
  • perl-Sys-Virt >= 1.2.5-4.2
Patchnames:
slessp4-libvirt-12674
SUSE Linux Enterprise Server 12 SP1
SUSE Linux Enterprise Server for SAP Applications 12 SP1
  • libvirt >= 1.2.18.4-11.7
  • libvirt-client >= 1.2.18.4-11.7
  • libvirt-daemon >= 1.2.18.4-11.7
  • libvirt-daemon-config-network >= 1.2.18.4-11.7
  • libvirt-daemon-config-nwfilter >= 1.2.18.4-11.7
  • libvirt-daemon-driver-interface >= 1.2.18.4-11.7
  • libvirt-daemon-driver-libxl >= 1.2.18.4-11.7
  • libvirt-daemon-driver-lxc >= 1.2.18.4-11.7
  • libvirt-daemon-driver-network >= 1.2.18.4-11.7
  • libvirt-daemon-driver-nodedev >= 1.2.18.4-11.7
  • libvirt-daemon-driver-nwfilter >= 1.2.18.4-11.7
  • libvirt-daemon-driver-qemu >= 1.2.18.4-11.7
  • libvirt-daemon-driver-secret >= 1.2.18.4-11.7
  • libvirt-daemon-driver-storage >= 1.2.18.4-11.7
  • libvirt-daemon-lxc >= 1.2.18.4-11.7
  • libvirt-daemon-qemu >= 1.2.18.4-11.7
  • libvirt-daemon-xen >= 1.2.18.4-11.7
  • libvirt-doc >= 1.2.18.4-11.7
  • libvirt-lock-sanlock >= 1.2.18.4-11.7
Patchnames:
SUSE-SLE-SERVER-12-SP1-2016-1208
SUSE Linux Enterprise Server 12-LTSS
SUSE Linux Enterprise Server for SAP Applications 12-LTSS
  • libvirt >= 1.2.5-27.13.1
  • libvirt-client >= 1.2.5-27.13.1
  • libvirt-daemon >= 1.2.5-27.13.1
  • libvirt-daemon-config-network >= 1.2.5-27.13.1
  • libvirt-daemon-config-nwfilter >= 1.2.5-27.13.1
  • libvirt-daemon-driver-interface >= 1.2.5-27.13.1
  • libvirt-daemon-driver-libxl >= 1.2.5-27.13.1
  • libvirt-daemon-driver-lxc >= 1.2.5-27.13.1
  • libvirt-daemon-driver-network >= 1.2.5-27.13.1
  • libvirt-daemon-driver-nodedev >= 1.2.5-27.13.1
  • libvirt-daemon-driver-nwfilter >= 1.2.5-27.13.1
  • libvirt-daemon-driver-qemu >= 1.2.5-27.13.1
  • libvirt-daemon-driver-secret >= 1.2.5-27.13.1
  • libvirt-daemon-driver-storage >= 1.2.5-27.13.1
  • libvirt-daemon-lxc >= 1.2.5-27.13.1
  • libvirt-daemon-qemu >= 1.2.5-27.13.1
  • libvirt-daemon-xen >= 1.2.5-27.13.1
  • libvirt-doc >= 1.2.5-27.13.1
  • libvirt-lock-sanlock >= 1.2.5-27.13.1
Patchnames:
SUSE-SLE-SERVER-12-2018-1455
SUSE Linux Enterprise Software Development Kit 11 SP4
  • libvirt >= 1.2.5-15.3
  • libvirt-devel >= 1.2.5-15.3
  • libvirt-devel-32bit >= 1.2.5-15.3
Patchnames:
sdksp4-libvirt-12674
SUSE Linux Enterprise Software Development Kit 12 SP1
  • libvirt >= 1.2.18.4-11.7
  • libvirt-devel >= 1.2.18.4-11.7
Patchnames:
SUSE-SLE-SDK-12-SP1-2016-1208
SUSE Linux Enterprise Workstation Extension 12 SP1
  • libvirt >= 1.2.18.4-11.7
  • libvirt-client-32bit >= 1.2.18.4-11.7
Patchnames:
SUSE-SLE-WE-12-SP1-2016-1208
openSUSE Leap 42.1
  • libvirt >= 1.2.18.4-14.2
  • libvirt-client >= 1.2.18.4-14.2
  • libvirt-client-32bit >= 1.2.18.4-14.2
  • libvirt-client-debuginfo >= 1.2.18.4-14.2
  • libvirt-client-debuginfo-32bit >= 1.2.18.4-14.2
  • libvirt-daemon >= 1.2.18.4-14.2
  • libvirt-daemon-config-network >= 1.2.18.4-14.2
  • libvirt-daemon-config-nwfilter >= 1.2.18.4-14.2
  • libvirt-daemon-debuginfo >= 1.2.18.4-14.2
  • libvirt-daemon-driver-interface >= 1.2.18.4-14.2
  • libvirt-daemon-driver-interface-debuginfo >= 1.2.18.4-14.2
  • libvirt-daemon-driver-libxl >= 1.2.18.4-14.2
  • libvirt-daemon-driver-libxl-debuginfo >= 1.2.18.4-14.2
  • libvirt-daemon-driver-lxc >= 1.2.18.4-14.2
  • libvirt-daemon-driver-lxc-debuginfo >= 1.2.18.4-14.2
  • libvirt-daemon-driver-network >= 1.2.18.4-14.2
  • libvirt-daemon-driver-network-debuginfo >= 1.2.18.4-14.2
  • libvirt-daemon-driver-nodedev >= 1.2.18.4-14.2
  • libvirt-daemon-driver-nodedev-debuginfo >= 1.2.18.4-14.2
  • libvirt-daemon-driver-nwfilter >= 1.2.18.4-14.2
  • libvirt-daemon-driver-nwfilter-debuginfo >= 1.2.18.4-14.2
  • libvirt-daemon-driver-qemu >= 1.2.18.4-14.2
  • libvirt-daemon-driver-qemu-debuginfo >= 1.2.18.4-14.2
  • libvirt-daemon-driver-secret >= 1.2.18.4-14.2
  • libvirt-daemon-driver-secret-debuginfo >= 1.2.18.4-14.2
  • libvirt-daemon-driver-storage >= 1.2.18.4-14.2
  • libvirt-daemon-driver-storage-debuginfo >= 1.2.18.4-14.2
  • libvirt-daemon-driver-uml >= 1.2.18.4-14.2
  • libvirt-daemon-driver-uml-debuginfo >= 1.2.18.4-14.2
  • libvirt-daemon-driver-vbox >= 1.2.18.4-14.2
  • libvirt-daemon-driver-vbox-debuginfo >= 1.2.18.4-14.2
  • libvirt-daemon-lxc >= 1.2.18.4-14.2
  • libvirt-daemon-qemu >= 1.2.18.4-14.2
  • libvirt-daemon-uml >= 1.2.18.4-14.2
  • libvirt-daemon-vbox >= 1.2.18.4-14.2
  • libvirt-daemon-xen >= 1.2.18.4-14.2
  • libvirt-debugsource >= 1.2.18.4-14.2
  • libvirt-devel >= 1.2.18.4-14.2
  • libvirt-devel-32bit >= 1.2.18.4-14.2
  • libvirt-doc >= 1.2.18.4-14.2
  • libvirt-lock-sanlock >= 1.2.18.4-14.2
  • libvirt-lock-sanlock-debuginfo >= 1.2.18.4-14.2
  • libvirt-login-shell >= 1.2.18.4-14.2
  • libvirt-login-shell-debuginfo >= 1.2.18.4-14.2
Patchnames:
openSUSE-2016-875
openSUSE-2016-943


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SLES for SAP Applications libvirt Released
SLES_LTSS-10-SP4 libvirt Ignore
SUSE Linux Enterprise 15 Module for Basesystem libvirt Already fixed
SUSE Linux Enterprise 15 Module for Server Applications libvirt Already fixed
SUSE Linux Enterprise 15-SP1 Module for Basesystem libvirt Already fixed
SUSE Linux Enterprise 15-SP1 Module for Server Applications libvirt Already fixed
SUSE Linux Enterprise Desktop 11 SP4 libvirt Released
SUSE Linux Enterprise Desktop 12 libvirt Unsupported
SUSE Linux Enterprise Desktop 12 SP1 libvirt Released
SUSE Linux Enterprise Desktop 12 SP3 libvirt Already fixed
SUSE Linux Enterprise Desktop 12 SP4 libvirt Already fixed
SUSE Linux Enterprise High Performance Computing 12 SP4 libvirt Already fixed
SUSE Linux Enterprise Server 11 SP1 libvirt Not affected
SUSE Linux Enterprise Server 11 SP2 LTSS libvirt Ignore
SUSE Linux Enterprise Server 11 SP3 libvirt Released
SUSE Linux Enterprise Server 11 SP3 LTSS libvirt Released
SUSE Linux Enterprise Server 11 SP4 libvirt Released
SUSE Linux Enterprise Server 12 libvirt Released
SUSE Linux Enterprise Server 12 LTSS libvirt Released
SUSE Linux Enterprise Server 12 SP1 libvirt Released
SUSE Linux Enterprise Server 12 SP2 LTSS libvirt Already fixed
SUSE Linux Enterprise Server 12 SP3 libvirt Already fixed
SUSE Linux Enterprise Server 12 SP4 libvirt Already fixed
SUSE Linux Enterprise Server for SAP Applications 12 libvirt Released
SUSE Linux Enterprise Server for SAP Applications 12 SP2 libvirt Already fixed
SUSE Linux Enterprise Server for SAP Applications 12 SP4 libvirt Already fixed
SUSE Linux Enterprise Software Development Kit 11 SP4 libvirt Released
SUSE Linux Enterprise Software Development Kit 12 libvirt Released
SUSE Linux Enterprise Software Development Kit 12 SP1 libvirt Released
SUSE Linux Enterprise Software Development Kit 12 SP3 libvirt Already fixed
SUSE Linux Enterprise Software Development Kit 12 SP4 libvirt Already fixed
SUSE Linux Enterprise Workstation Extension 12 libvirt Released
SUSE Linux Enterprise Workstation Extension 12 SP1 libvirt Released